### Method

# Gtk RecentInfoget_short_name

#### Declaration [src]

    char*
    gtk_recent_info_get_short_name (
      GtkRecentInfo* info
    )

#### Description [src]

Computes a valid UTF-8 string that can be used as the name of the item in a menu or list.

For example, calling this function on an item that refers to “file:///foo/bar.txt” will yield “bar.txt”.

#### Return value

Type: `char*`

A newly-allocated string in UTF-8 encoding free it with `g_free()`

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.